﻿@using Jumbula.Web.WebLogic.UserService
@model Jumbula.Core.Domain.Order


@{

    string urlAddress = string.Empty;
}





<table class="row"
       style="margin-top: 3px;border-collapse:collapse;border-spacing:0;display:table;padding:0;position:relative;text-align:left;vertical-align:top;width:100%">
    <tbody>
        <tr style="padding:0;text-align:left;vertical-align:top">
            <th class="small-12 large-12 columns first last" valign="center"
                style="Margin:0 auto;color:#0a0a0a;font-family: sans-serif,'Helvetica Neue',Helvetica,Arial,'DejaVuSansBook';font-size:16px;font-weight:400;line-height:1.3;margin:0 auto;padding:0;padding-bottom:6px;padding-left:16px;padding-right:16px;text-align:left;width:564px">

                <table style="border-collapse: collapse;padding: 8px;width: 628px;min-width:100%;max-width:100%;font-size: 14px;font-weight: 600">
                    <tr>
                        <th colspan="2" align="left" style="font-size: 14px; margin: 0;margin-bottom: 4px; margin-top: 4px;font-family: sans-serif,'Helvetica Neue',Helvetica,Arial,'DejaVuSansBook'; text-align: left!important; color: #28292a; font-weight: 600; padding:6px 8px;">
                            <p align="center" style="    font-family: sans-serif,'Helvetica Neue',Helvetica,Arial,'DejaVuSansBook';font-size: 14px; margin: 0; margin-bottom: 6px; margin-top: 6px; text-align: center!important; color: #28292a; font-weight: 600; padding: 0;">
                                <strong>Fill out the following forms to complete your order</strong>
                            </p>
                        </th>
                    </tr>
                </table>
                <table style="border-radius: 3px 3px 0 0;border-collapse: collapse;margin: 0 auto;width: 628px;width: 100%;">
                    <tbody>
                        <tr style="background-color: #878787;">

                            <th valign="center"
                                style="vertical-align: middle; border: 1px solid #ccc; color: #000; width: 30%;">
                                <h3 style="letter-spacing: 0.7px;white-space: nowrap;font-size: 13px; line-height: 1.3em;color: #f5f5f5;text-align: left!important;font-family: sans-serif,'Helvetica Neue',Helvetica,Arial,'DejaVuSansBook';padding: 4px 5px;white-space: nowrap;margin: 0">
                                    Participant
                                </h3>
                            </th>

                            <th valign="center"
                                style="border: 1px solid #ccc;vertical-align: middle;width: 30%;">
                                <h3 style="letter-spacing: 0.7px;white-space: nowrap;font-size: 13px; line-height: 1.3em;color: #f5f5f5;font-family: sans-serif,'Helvetica Neue',Helvetica,Arial,'DejaVuSansBook';padding: 4px 5px;white-space: nowrap;margin: 0">
                                    Form name
                                </h3>
                            </th>

                            <th valign="center"
                                style="border: 1px solid #ccc;vertical-align: middle;width: 30%;text-align: center!important;">
                                <h3 style="letter-spacing: 0.7px;white-space: nowrap;font-size: 13px; line-height: 1.3em;color: #f5f5f5;font-family: sans-serif,'Helvetica Neue',Helvetica,Arial,'DejaVuSansBook';padding: 4px 5px;white-space: nowrap;margin: 0">
                                    Link
                                </h3>
                            </th>
                        </tr>
                        @foreach (var orderItem in Model.RegularOrderItems)
                        {
                            if (orderItem.FollowupForms != null && orderItem.FollowupForms.Count > 0)
                            {
                                foreach (var form in orderItem.FollowupForms.Where(f => f.Status != Jumbula.Core.Domain.FollowupStatus.Completed))
                                {
                                    if (form.FormType != FormType.UploadForm)
                                    {
                                        urlAddress = string.Format("{0}/FollowupForm/CompleteForm?fId={1}&uId={2}&orderItemId={3}", Url.GetBaseUrl(this.GetCurrentClubDomain()), form.Id, form.Guid, orderItem.Id);
                                        <tr style="background-color: rgba(255,255,255,.11);">

                                            <th valign="center"
                                                style=" vertical-align: middle; border: 1px solid #ccc; color: #000; width: 30%;">
                                                <h3 style="white-space: nowrap;font-size: 12px; line-height: 1.3em;color: #28292a;text-align: left!important;font-family: sans-serif,'Helvetica Neue',Helvetica,Arial,'DejaVuSansBook';padding: 4px 5px;white-space: nowrap;margin: 0">
                                                    <strong>@orderItem.FullName</strong>
                                                </h3>
                                            </th>

                                            <th valign="center"
                                                style="border: 1px solid #ccc;vertical-align: middle;width: 30%;">
                                                <h3 style="white-space: nowrap;font-size: 12px; line-height: 1.3em;color: #28292a;font-family: sans-serif,'Helvetica Neue',Helvetica,Arial,'DejaVuSansBook';padding: 4px 5px;white-space: nowrap;margin: 0">
                                                    <strong>@form.FormName</strong>
                                                </h3>
                                            </th>

                                            <th valign="center"
                                                style="border: 1px solid #ccc;vertical-align: middle;width: 30%;text-align: center!important;">
                                                <a href="@urlAddress" style="white-space: nowrap;font-size: 11px;color: #15c; line-height: 1.3em;font-family: sans-serif,'Helvetica Neue',Helvetica,Arial,'DejaVuSansBook';padding: 4px 5px;display: inline-block;margin: 0">
                                                    View form
                                                </a>
                                            </th>
                                        </tr>

                                    }

                                    else
                                    {
                                        urlAddress = string.Format("{0}/FollowupForm/DownloadForm?fId={1}&uId={2}&orderItemId={3}", Url.GetBaseUrl(this.GetCurrentClubDomain()), form.Id, form.Guid, orderItem.Id);
                                        var urlAddressupload = string.Format("{0}/FollowupForm/UploadFollowUpForm?formId={1}&uId={2}&orderItemId={3}", Url.GetBaseUrl(this.GetCurrentClubDomain()), form.Id, form.Guid, orderItem.Id);

                                        <tr style="background-color: rgba(255,255,255,.11);">

                                            <th valign="center"
                                                style=" vertical-align: middle; border: 1px solid #ccc; color: #000; width: 30%;">
                                                <h3 style="white-space: nowrap;font-size: 12px; line-height: 1.3em;color: #28292a;text-align: left!important;font-family: sans-serif,'Helvetica Neue',Helvetica,Arial,'DejaVuSansBook';padding: 4px 5px;white-space: nowrap;margin: 0">
                                                    <strong>@orderItem.FullName</strong>
                                                </h3>
                                            </th>

                                            <th valign="center"
                                                style="border: 1px solid #ccc;vertical-align: middle;width: 30%;">
                                                <h3 style="white-space: nowrap;font-size: 12px; line-height: 1.3em;color: #28292a;font-family: sans-serif,'Helvetica Neue',Helvetica,Arial,'DejaVuSansBook';padding: 4px 5px;white-space: nowrap;margin: 0">
                                                    <strong>@form.FormName</strong>
                                                </h3>
                                            </th>

                                            <th valign="center"
                                                style="border: 1px solid #ccc;vertical-align: middle;width: 30%;text-align: center!important;">
                                                <a href="@urlAddress" style="white-space: nowrap;font-size: 11px;color: #15c; line-height: 1.3em;font-family: sans-serif,'Helvetica Neue',Helvetica,Arial,'DejaVuSansBook';padding: 4px 5px;display: inline-block;margin: 0">
                                                    Download form
                                                </a>
                                                <a href="@urlAddressupload" style="white-space: nowrap;font-size: 11px;color: #15c; line-height: 1.3em;font-family: sans-serif,'Helvetica Neue',Helvetica,Arial,'DejaVuSansBook';padding: 4px 5px;display: inline-block;margin: 0">
                                                    Upload form
                                                </a>
                                            </th>
                                        </tr>
                                    }
                                }
                            }
                        }
                    </tbody>
                </table>
            </th>
        </tr>
    </tbody>
</table>
